gr::gsm::message_printer_impl Class Reference

`#include <message_printer_impl.h>`

Inheritance diagram for gr::gsm::message_printer_impl:

## Public Member Functions

| message_printer_impl (pmt::pmt_t prepend_string, bool prepend_fnr=false, bool prepend_frame_count=false, bool print_gsmtap_header=false)
| ~message_printer_impl ()

## Additional Inherited Members

Public Types inherited from gr::gsm::message_printer
typedef std::shared_ptr< message_printer > | sptr
Static Public Member Functions inherited from gr::gsm::message_printer
static sptr | make (pmt::pmt_t prepend_string, bool prepend_fnr=false, bool prepend_frame_count=false, bool print_gsmtap_header=false)
| Return a shared_ptr to a new instance of gsm::message_printer.

## Constructor & Destructor Documentation

## message_printer_impl()

gr::gsm::message_printer_impl::message_printer_impl | ( | pmt::pmt_t | prepend_string,
|  | bool | prepend_fnr = false,
|  | bool | prepend_frame_count = false,
|  | bool | print_gsmtap_header = false )

## ~message_printer_impl()

gr::gsm::message_printer_impl::~message_printer_impl | ( |  | ) |

The documentation for this class was generated from the following file:

- message_printer_impl.h